# VectorNav C++ Library: vn::sensors::VpeAccelerometerBasicTuningRegister Struct Reference

vn::sensors::VpeAccelerometerBasicTuningRegister Struct Reference
Register Structures

Structure representing the VPE Accelerometer Basic Tuning register. More...

`#include <registers.h>`

## Public Member Functions

| VpeAccelerometerBasicTuningRegister (vn::math::vec3f baseTuningIn, vn::math::vec3f adaptiveTuningIn, vn::math::vec3f adaptiveFilteringIn)
| Creates an initializes a new VpeAccelerometerBasicTuningRegister structure. More...

## Public Attributes

vn::math::vec3f | baseTuning
| The baseTuning field.
vn::math::vec3f | adaptiveTuning
| The adaptiveTuning field.
vn::math::vec3f | adaptiveFiltering
| The adaptiveFiltering field.

## Detailed Description

Structure representing the VPE Accelerometer Basic Tuning register.

## Constructor & Destructor Documentation

vn::sensors::VpeAccelerometerBasicTuningRegister::VpeAccelerometerBasicTuningRegister | ( | vn::math::vec3f | baseTuningIn,
|  | vn::math::vec3f | adaptiveTuningIn,
|  | vn::math::vec3f | adaptiveFilteringIn
| ) |  |

inline

Creates an initializes a new VpeAccelerometerBasicTuningRegister structure.

Parameters

  [in] | baseTuningIn | Value to initialize the baseTuning field with.
  [in] | adaptiveTuningIn | Value to initialize the adaptiveTuning field with.
  [in] | adaptiveFilteringIn | Value to initialize the adaptiveFiltering field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h